Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIList.Properties

    java.lang.Object
      java.lang.Enum<UIList.Properties>
          org.richfaces.component.UIList.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIList.Properties>

Enclosing class:
  UIList

    protected static enum UIList.Properties

extends Enum<UIList.Properties>

Enum Constant Summary
`dir`
`lang`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onrowclick`
`onrowdblclick`
`onrowkeydown`
`onrowkeypress`
`onrowkeyup`
`onrowmousedown`
`onrowmousemove`
`onrowmouseout`
`onrowmouseover`
`onrowmouseup`
`rowClass`
`rowClasses`
`style`
`styleClass`
`title`
`type`

Method Summary
`static UIList.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIList.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final UIList.Properties dir

### lang

    public static final UIList.Properties lang

### onclick

    public static final UIList.Properties onclick

### ondblclick

    public static final UIList.Properties ondblclick

### onkeydown

    public static final UIList.Properties onkeydown

### onkeypress

    public static final UIList.Properties onkeypress

### onkeyup

    public static final UIList.Properties onkeyup

### onmousedown

    public static final UIList.Properties onmousedown

### onmousemove

    public static final UIList.Properties onmousemove

### onmouseout

    public static final UIList.Properties onmouseout

### onmouseover

    public static final UIList.Properties onmouseover

### onmouseup

    public static final UIList.Properties onmouseup

### onrowclick

    public static final UIList.Properties onrowclick

### onrowdblclick

    public static final UIList.Properties onrowdblclick

### onrowkeydown

    public static final UIList.Properties onrowkeydown

### onrowkeypress

    public static final UIList.Properties onrowkeypress

### onrowkeyup

    public static final UIList.Properties onrowkeyup

### onrowmousedown

    public static final UIList.Properties onrowmousedown

### onrowmousemove

    public static final UIList.Properties onrowmousemove

### onrowmouseout

    public static final UIList.Properties onrowmouseout

### onrowmouseover

    public static final UIList.Properties onrowmouseover

### onrowmouseup

    public static final UIList.Properties onrowmouseup

### rowClass

    public static final UIList.Properties rowClass

### rowClasses

    public static final UIList.Properties rowClasses

### style

    public static final UIList.Properties style

### styleClass

    public static final UIList.Properties styleClass

### title

    public static final UIList.Properties title

### type

    public static final UIList.Properties type

Method Detail

### values

    public static UIList.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIList.Properties c : UIList.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIList.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.